[gnome-continuous-yocto/gnomeostree-3.28-rocko: 56/8267] bitbake: toaster: bin/toaster Fix noweb command



commit f00b4e4c3d1d4b7e5f1ba99b099802e3495deba1
Author: Michael Wood <michael g wood intel com>
Date:   Thu Apr 21 14:22:06 2016 +0100

    bitbake: toaster: bin/toaster Fix noweb command
    
    For the noweb command we don't need to check if a socket is in use or
    not as we're not starting the django development server. We're just
    setting up the environment and running the runbuilds scheduler.
    
    (Bitbake rev: f62d9a3e86e384f928fc8ad077d7cf3a75d1591e)
    
    Signed-off-by: Michael Wood <michael g wood intel com>
    Signed-off-by: Elliot Smith <elliot smith intel com>
    Signed-off-by: Richard Purdie <richard purdie linuxfoundation org>

 bitbake/bin/toaster |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)
---
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index 9540fc9..987d53c 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -255,7 +255,9 @@ case $CMD in
     start )
         # check if addr:port is not in use
         if [ "$CMD" == 'start' ]; then
-             $MANAGE checksocket "$ADDR_PORT" || return 1
+            if [ $WEBSERVER -gt 0 ]; then
+                $MANAGE checksocket "$ADDR_PORT" || return 1
+            fi
         fi
 
         # kill Toaster web server if it's alive


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]